# Prélèvement Sepa

La fonctionnalité de prélèvement Sepa de dokos permet de générer des fichiers Sepa XML que vous pouvez envoyer à votre banque afin de traiter plusieurs prélèvements en une seule fois.

### 1. Pré-requis
#### 1.1 Paramètres

Avant de générer votre premier fichier XML, vous devez créer des paramètres de prélèvement Sepa pour chacune de vos sociétés.  

Allez à `Comptabilité > Paramètres de prélèvement Sepa` et créez un nouveau document.

Enregistrez les éléments suivants:

- Votre identifiant créditeur
- Le nom de votre société tel qu'enregistré auprès de votre banque
- Le type d'instrument à utiliser: CORE (B2C) ou B2B
- Le schéma à utiliser pour générer le fichier XML. Cela peut être pain.008.001.02, pain.008.002.02 ou pain.008.003.02
- Le compte bancaire à utiliser pour enregistrer/filtrer les paiements correspondants dans dokos
- Un préfix pour la référence utilisée pour générer la description du débiteur

#### 1.2 Mandats Sepa

Afin de générer un fichier XML avec des données précises, vous devez créer un mandat Sepa pour chacun de vos clients.
Ce mandat doit avoir le statut `Actif` pour être considéré comme valide et vous devez inclure les éléments suivants:
- La date de création du mandat
- Un compte bancaire avec un IBAN et un numéro SWIFT/BIC valides


### 2. Comment créer un fichier de prélèvement Sepa

1. Allez à `Comptabilité > Prélèvement Sepa` et créez un nouveau document.
2. Ajoutez une date de début et une date de fin pour la période que vous souhaitez exporter.
3. Vérifier la devise et ajoutez le mode de paiement à utiliser pour filtrer les paiements correspondants à cette période.
4. Cliquez sur `Obtenir les écritures de paiement`
5. Supprimez les écritures que vous ne souhaitez pas inclure dans votre fichier XML
6. Sélectionnez le type de prélèvement: `One-off, First, Recurrent` ou `Final`
7. Cochez la case `Prélèvement en lot` si c'est le cas
8. Enregistrez votre document
9. Cliquez sur `Générer un fichier XML`
1. Si votre fichier XML est correct, validez votre document pour figer votre écriture


:::tip A savoir
Le prélèvement Sepa fonctionne selon des séquences:
- One off: Prélèvement unique
- First: Premier prélèvement d'une série
- Recurrent: Prélèvements consécutifs au premier d'une série
- Final: Dernier prélèvement d'une série
:::


### 3. Fonctionnalités
#### 3.1 Générer les paiements Sepa

Etant donné que vos clients sont déjà liés à un mandat Seap, vous pouvez vous attendre à n'avoir à générer que leurs factures tous les mois et à ce que dokos gère la création des écritures de paiement correspondantes automatiquement.

Lorsque vous êtes prêt·e à générer votre fichier Sepa XML, vous pouvez cliquer sur `Génerer les paiements Sepa` dans la barre d'outil pour que tous vos paiements soient générés automatiquement.

Le système récupère toutes les factures ouverts (impayées ou en retard) liées à un client avec un mandat valide (avec le statut `Actif`) pour la période sélectionnée et génère automatiquement un paiement pour chacune de ces factures.

#### 3.2 Inclure les écritures de paiement déjà inclues dans le fichier XML généré

Si vous avez besoin de générer un fichier avec des écritures qui ont déjà été validées et soumises dans un fichier XML précédent, vous pouvez cocher cette option pour qu'elles soient à nouveau récupérées.
